package net.nevet5gi.buzzbot;

import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.JDABuilder;
import net.dv8tion.jda.api.utils.cache.CacheFlag;
import net.nevet5gi.buzzbot.database.SqlDB;
import net.nevet5gi.buzzbot.modules.ModuleLoader;
import net.nevet5gi.buzzbot.objects.BanData;

import javax.security.auth.login.LoginException;
import java.sql.Date;
import java.sql.Time;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.EnumSet;

public class Test {
    private static JDA jda;
    public static void main(String[] args) {

        Config.loadConfig();
        //initJda();

        ModuleLoader.getModules();

//        String role = "helper_id";
//        String roleId = "234098234";
//        String guildId = "34958735345345345";
//
//        String sql = "UPDATE guild_settings SET " + role + " = " + roleId + " WHERE guild_id = " + guildId;
//
//        System.out.println(sql);

        //GuildData guild = new GuildData();
        //guild.setName("Certified Tater");
        //guild.setId(948704397569958038L);
        //guild.setGroup("developer");
        //guild.setProfanityLevel(0);

        //SqlDB sql = new SqlDB();
        //sql.addGuild(guild);

        //sqlTest();
    }

    private static void initJda() {
        try {
            jda = JDABuilder.createDefault(Config.getConfig().getString("bot.token"))
                    .disableCache(EnumSet.of(
                            CacheFlag.CLIENT_STATUS,
                            CacheFlag.ACTIVITY,
                            CacheFlag.EMOTE
                    ))
                    .enableCache(CacheFlag.VOICE_STATE)
                    .addEventListeners(new Listener())
                    .build();
        } catch (LoginException e) {
            e.printStackTrace();
            jda = null;
        }
    }

    private static void sqlTest() {
        SqlDB db = new SqlDB();
        BanData ban = new BanData(972924565361695745L, "nevetS", Date.valueOf(LocalDate.now()), Time.valueOf(LocalTime.now()), "reason", true, 0, "test3", 865368792980914186L, "DevHQ", 824071914673668138L);
        db.insertBan(ban, "masterbanlist");
        db.close();

        SqlDB db2 = new SqlDB();
        BanData qban = db2.queryBan(972924565361695745L, "masterbanlist");
        db2.close();

        System.out.println(qban.getUserName());
        System.out.println(qban.getDate());
    }
}
